## fo-uri-specification

fo-uri-specification —

## Synopsis

    struct      FoUriSpecification;
    struct      FoUriSpecificationClass;
    FoDatatype* fo_uri_specification_new        (void);
    gchar*      fo_uri_specification_get_value  (FoDatatype *uri_specification);
    void        fo_uri_specification_set_value  (FoDatatype *uri_specification,
                                                 const gchar *new_value);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoUriSpecification

## Properties

      "value"                gchararray           : Read / Write

## Description

## Details

### struct FoUriSpecification

    struct FoUriSpecification;

### struct FoUriSpecificationClass

    struct FoUriSpecificationClass;

### fo_uri_specification_new ()

    FoDatatype* fo_uri_specification_new        (void);

Creates a new FoUriSpecification initialized to default value.

Returns : | the new FoUriSpecification

### fo_uri_specification_get_value ()

    gchar*      fo_uri_specification_get_value  (FoDatatype *uri_specification);

`uri_specification` : |
Returns : |

### fo_uri_specification_set_value ()

    void        fo_uri_specification_set_value  (FoDatatype *uri_specification,
                                                 const gchar *new_value);

`uri_specification` : |
`new_value` : |

## Properties

"`value`" (gchararray : Read / Write) | Uri-specification value.